Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class GroovyTestSuite

    java.lang.Object
      junit.framework.TestSuite
          groovy.util.GroovyTestSuite

    class GroovyTestSuite
    extends TestSuite

A TestSuite which will run a Groovy unit test case inside any Java IDE either as a unit test case or as an application.

You can specify the GroovyUnitTest to run by running this class as an appplication and specifying the script to run on the command line.

`java groovy.util.GroovyTestSuite src/test/Foo.groovy`

Or to run the test suite as a unit test suite in an IDE you can use the 'test' system property to define the test script to run. e.g. pass this into the JVM when the unit test plugin runs...

`-Dtest=src/test/Foo.groovy`

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`protected static String` | `file`
`protected GroovyClassLoader` | `loader`

Constructor Summary
`GroovyTestSuite()`

Method Summary
`Class` | `compile(String fileName)`
`void` | `loadTestSuite()`
`static void` | `main(String[] args)`
`static Test` | `suite()`

Methods inherited from class TestSuite
run, toString, getName, setName, warning, tests, createTest, getTestConstructor, addTest, addTestSuite, countTestCases, runTest, testAt, testCount, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### file

    protected static String file

### loader

    protected final GroovyClassLoader loader

Constructor Detail

### GroovyTestSuite

    GroovyTestSuite()

Method Detail

### compile

    public Class compile(String fileName)

### loadTestSuite

    public void loadTestSuite()

### main

    public static void main(String[] args)

### suite

    public static Test suite()

Copyright © 2003-2009 The Codehaus. All rights reserved.